package cn.com.ctop.toutiao.modules.report.service;

import cn.com.ctop.toutiao.modules.report.entity.BytedancePlanDailyReport;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Date;
import java.util.List;

/**
 * @Description: 广告计划日报表信息
 * @Author: jeecg-boot
 * @Date: 2019-09-11
 * @Version: V1.0
 */
public interface IBytedancePlanDailyReportService extends IService<BytedancePlanDailyReport> {

    void loadData(String data, String date);

    void replaceBatch(List<BytedancePlanDailyReport> dailyReports);

    void cleanYzData(Integer projectId);

    void cleanChannelCodeData(Integer projectId, Date getDate);

    void cleanYddHourlyChannelCode(Integer projectId, Date getDate);
}
